
--[[
=head1 NAME

applets.PowerOff.PowerOffMeta - PowerOff meta-info

=head1 DESCRIPTION

See L<applets.PowerOff.PowerOffApplet>.

=head1 FUNCTIONS

See L<jive.AppletMeta> for a description of standard applet meta functions.

=cut
--]]


local oo            = require("loop.simple")

local AppletMeta    = require("jive.AppletMeta")
local os            = require("os")

local appletManager = appletManager
local jiveMain      = jiveMain

local EVENT_CONSUME = jive.ui.EVENT_CONSUME
local EVENT_QUIT    = jive.ui.EVENT_QUIT


module(...)
oo.class(_M, AppletMeta)


function jiveVersion(self)
	return 1, 1
end


function defaultSettings(self)
	local defaultSetting = {}
	return defaultSetting
end


function registerApplet(self)
end

function configureApplet(self)
	-- add ourselves to the end of the main menu
	jiveMain:addItem({
		id = 'appletPowerOff',
		iconStyle = 'hm_quit',
		node = 'home',
		text = self:string("POWEROFF"),
		callback = function() 
			os.execute("sh /usr/lib/squeezeplay/share/jive/applets/PowerOff/poweroff.sh")
			return (EVENT_CONSUME | EVENT_QUIT)
		end,
		weight = 1010,
	})
	-- PowerOff implements a screensaver
	appletManager:callService("addScreenSaver",
		self:string("POWEROFF"), 
		"PowerOff", 
		"openScreensaver", _, _, 100, 
		"closeScreensaver"
	)
end


--[[

=head1 LICENSE

Copyright 2010 Logitech. All Rights Reserved.

This file is licensed under BSD. Please see the LICENSE file for details.

=cut
--]]
